<?xml version="1.0" encoding="UTF-8"?>
<persistence version="2.0" xmlns="http://java.sun.com/xml/ns/persistence" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://java.sun.com/xml/ns/persistence http://java.sun.com/xml/ns/persistence/persistence_2_0.xsd">
    <persistence-unit name="hsadmin" transaction-type="RESOURCE_LOCAL">
    	<provider>org.apache.openjpa.persistence.PersistenceProviderImpl</provider>
    	<non-jta-data-source>java:/comp/env/jdbc/HSAdminDB</non-jta-data-source>
		<class>de.hsadmin.core.qserv.QueueTask</class> 
		<class>de.hsadmin.mods.cust.Customer</class> 
		<class>de.hsadmin.mods.cust.Contact</class> 
		<class>de.hsadmin.mods.cust.BankAccount</class> 
		<class>de.hsadmin.mods.pac.Pac</class> 
		<class>de.hsadmin.mods.pac.BasePac</class> 
		<class>de.hsadmin.mods.pac.BaseComponent</class>
		<class>de.hsadmin.mods.pac.Component</class>
		<class>de.hsadmin.mods.pac.PacComponent</class>
		<class>de.hsadmin.mods.pac.Hive</class> 
		<class>de.hsadmin.mods.pac.INetAddress</class>
		<class>de.hsadmin.mods.user.UnixUser</class> 
		<class>de.hsadmin.mods.dom.Domain</class> 
		<class>de.hsadmin.mods.dom.DomainOption</class> 
		<class>de.hsadmin.mods.email.EMailAddress</class> 
		<class>de.hsadmin.mods.email.EMailAlias</class> 
		<class>de.hsadmin.mods.db.DatabaseUser</class> 
		<class>de.hsadmin.mods.db.MySqlUser</class> 
		<class>de.hsadmin.mods.db.PgSqlUser</class> 
		<class>de.hsadmin.mods.db.Database</class> 
		<class>de.hsadmin.mods.db.MySqlDatabase</class> 
		<class>de.hsadmin.mods.db.PgSqlDatabase</class>
        <properties>
            <property name="openjpa.ConnectionDriverName" value="org.postgresql.Driver"/>
            <property name="openjpa.Compatibility" value="QuotedNumbersInQueries=true"/> 
            
            <property name="openjpa.Log" value="SQL=TRACE"/>
			<property name="openjpa.ConnectionFactoryProperties" value="PrettyPrint=true, PrettyPrintLineLength=72"/>
    
        </properties>
    </persistence-unit>
</persistence>
